Package org.apache.sysds.runtime.io

## Class BinaryBlockSerialization.MatrixBlockDeserializer

- java.lang.Object
- - org.apache.sysds.runtime.io.BinaryBlockSerialization.MatrixBlockDeserializer

All Implemented Interfaces:
  `org.apache.hadoop.io.serializer.Deserializer<MatrixBlock>`

Enclosing class:
  BinaryBlockSerialization

    public static class BinaryBlockSerialization.MatrixBlockDeserializer
    extends Object
    implements org.apache.hadoop.io.serializer.Deserializer<MatrixBlock>

### Constructor Summary

Constructors
`MatrixBlockDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`MatrixBlock` `deserialize​(MatrixBlock mb)`
`void` `open​(InputStream arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixBlockDeserializer

    public MatrixBlockDeserializer()

### Method Detail

#### open

    public void open​(InputStream arg0)
              throws IOException

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Deserializer<MatrixBlock>`
Throws:
  `IOException`

#### deserialize

    public MatrixBlock deserialize​(MatrixBlock mb)
                            throws IOException

Specified by:
  `deserialize` in interface `org.apache.hadoop.io.serializer.Deserializer<MatrixBlock>`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Deserializer<MatrixBlock>`
Throws:
  `IOException`